Bug 1388886 - Keyboard not working for status icons panel
Summary: Keyboard not working for status icons panel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter-wayland
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-26 11:14 UTC by Noam Cohen
Modified: 2017-01-22 14:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-22 14:42:27 UTC


Attachments (Terms of Use)

Description Noam Cohen 2016-10-26 11:14:42 UTC
Description of problem:
Under X - it was possible to use the keyboard to navigate between the different icons in the status icons panel. Under Wayland - any keystroke is sent to the active window.


How reproducible:
Every time

Steps to Reproduce:
1. Open the status icons panel by hovering over the lower-left corner of the screen. Alternatively - Navigate to the "Status Icons" icon using the Ctrl+Alt+Shift shortcut.
2. Once open - try navigating between the icons on the Status Icons panel using the keyword. 


Actual results:
Any keystroke (left/right/enter) will be applied to the active window instead of the icons in the status icons bar.

Expected results:
Navigation will be done on the status icons bar. Enter key will open the highlighted icon.

Comment 1 Kamil Páral 2016-10-31 12:40:41 UTC
Arrows work for me, and Enter as well (for some apps, like hexchat). However, I'm unable to show the right-click context menu using only keyboard (shift+f10 doesn't work).

Comment 2 Noam Cohen 2017-01-22 14:42:27 UTC
No longer happens in Fedora 25


Note You need to log in before you can comment on or make changes to this bug.